Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoMarshalSpec.ByReference

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoMarshalSpec,MonoMarshalSpec.ByValue,MonoMarshalSpec.ByReference>
              com.nativelibs4java.mono.MonoMarshalSpec
                  com.nativelibs4java.mono.MonoMarshalSpec.ByReference

All Implemented Interfaces:
  StructureType, StructureTypeDependent, Structure.ByReference, java.lang.Comparable<Structure<MonoMarshalSpec,MonoMarshalSpec.ByValue,MonoMarshalSpec.ByReference>>

Enclosing class:
  MonoMarshalSpec

    public static class MonoMarshalSpec.ByReference

extends MonoMarshalSpec
implements Structure.ByReference

Nested Class Summary

Nested classes/interfaces inherited from class com.nativelibs4java.mono.MonoMarshalSpec
`MonoMarshalSpec.ByReference, MonoMarshalSpec.ByValue, MonoMarshalSpec.data_union`

Field Summary

Fields inherited from class com.nativelibs4java.mono.MonoMarshalSpec
`data`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoMarshalSpec.ByReference()`

Method Summary

Methods inherited from class com.nativelibs4java.mono.MonoMarshalSpec
`newByReference, newByValue, newInstance`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Constructor Detail

### MonoMarshalSpec.ByReference

    public MonoMarshalSpec.ByReference()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD